{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, dialog_box, send_event\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n$insert rpt_cfg_equ\r\n\r\nopen 'CONFIG' to ConfigTable else\r\n   Void = msg( '', 'Unable to open CONFIG table' )\r\n   end_dialog( @window, '' )\r\n   return 0\r\nend\r\n\r\nReportID = .report_id->text\r\n\r\nIf ReportID='' Then\r\n   Ans = msg('', 'A Report ID must be selected before you can delete it!' )\r\n   Return 0\r\nEnd\r\nIf ReportID[-8,8] # '_SRPTCFG' Then\r\n   Ans = msg('', 'The Report ID must end in \"_SRPTCFG\" in order to be deleted!' )\r\n   Return 0\r\nEnd\r\n\r\n**Ask if want to delete\r\nGoSub AskIfDelete\r\n\r\nIf Ans Then\r\n   *Yes we delete...\r\n   Delete ConfigTable, ReportID Then\r\n      GoSub ClearScreen\r\n      LockId = ReportID\r\n      GoSub UnlockRecord      \r\n      Ans = msg('', \"CONFIG RECORD ': ReportID: ' IS DELETED!\" )\r\n      Void = send_event( @window:'.REPORT_ID', 'GOTFOCUS' )\r\n   End Else\r\n      Ans = msg('', \"RECORD DELETE FAILED!!\" )\r\n   End\r\nEnd\r\n\r\nreturn 0\r\n\r\n*===========================================\r\nAskIfDelete:\r\n*===========================================\r\nTmpStructure = ''\r\n   TmpStructure<MTEXT$> = 'REALLY DELETE REPORT CONFIG RECORD ':ReportID:'??'\r\n   TmpStructure<MTYPE$> = 'BNYC'\r\n   TmpStructure<MMODAL$> = 'A'\r\n   TmpStructure<MICON$> = '!'\r\n   TmpStructure<MCAPTION$> = 'DELETE?'\r\n   Ans = msg('', TmpStructure )\r\n   If Ans = 0 Or Ans = Char(27) Then\r\n      Ans = msg('', \"DELETE CANCELED!\" )\r\n      Ans = 0\r\n   End\r\nReturn\r\n\r\n*===========================================\r\nClearScreen:\r\n*===========================================\r\n.Table_Name->text           = ''\r\n.Width->text                = ''\r\n.Title->text                = ''\r\n.Title_2->Text              = ''\r\n.Title_3->Text              = ''\r\n.Title_4->Text              = ''\r\n.Title_Font_Type->text      = ''\r\n.Title_Font_Size->text      = ''\r\n.Title_Font_Bold->check     = ''\r\n.Title_Font_Italic->check   = ''\r\n.Col_Hed_Font_Type->text    = ''\r\n.Col_Hed_Font_Size->text    = ''\r\n.Col_Hed_Font_Bold->check   = ''\r\n.Col_Hed_Font_Italic->check = ''\r\n.Def_Col_Font_Type->text    = ''\r\n.Def_Col_Font_Size->text    = ''\r\n.Def_Col_Font_Bold->check   = ''\r\n.Def_Col_Font_Italic->check = ''\r\n.OrderBy->text              = ''\r\n.Landscape_Chk->Check       = ''\r\n.Grid_Chk->Check            = ''\r\n.No_Page_Chk->Check         = ''\r\n.Dbl_Spc_Chk->Check         = ''\r\n.Id_Supp_Chk->Check         = ''\r\n.Det_Supp_Chk->Check        = ''\r\n.Col_Hdr_Supp->Check        = ''\r\n.Hdr_Supp->Check            = ''\r\n.Slist_Script->text         = ''\r\n.With_Statement->Text       = ''\r\n.Footer->Text               = ''\r\n.PageNumber->Check          = ''\r\n.COLUMN_INFO->array         = ''\r\n.Report_ID->text            = ''\r\n\r\nReturn\r\n\r\n*===========================================\r\nUnlockRecord:\r\n*===========================================\r\nunlock ConfigTable, LockID else\r\n   Void = msg( '', 'Unable to unlock ':LockID:' in CONFIG table' )\r\nend\r\n\r\nReturn\r\n"
        }
    }
}